package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicCategoryIndexDegree {
    public static final String LOWEST = "极低";
    public static final String LOW = "低";
    public static final String NOMAL = "正常";
    public static final String HIGH = "高";
    public static final String HIGHEST = "极高";


    private static DicCategoryIndexDegree instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicCategoryIndexDegree(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(HIGHEST, HIGHEST);
        dicMap.put(HIGH, HIGH);
        dicMap.put(NOMAL, NOMAL);
        dicMap.put(LOW, LOW);
        dicMap.put(LOWEST, LOWEST);
    }

    public static DicCategoryIndexDegree getInstacne(){
        if (instance == null)
        {
            instance = new DicCategoryIndexDegree();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
